Package org.acplt.oncrpc

# Interface OncRpcUdpRetransmissionMode

public interface OncRpcUdpRetransmissionMode
A collection of constants used to identify the retransmission schemes when using `UDP/IP-based ONC/RPC clients`.

Version:
  $Revision: 1.1 $ $Date: 2003/08/13 12:03:43 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`EXPONENTIAL`
In exponentional back-off retransmission mode, UDP/IP-based ONC/RPC clients first wait a given retransmission timeout period before sending the ONC/RPC call again.
`static final int`
`FIXED`
In fixed retransmission mode, UDP/IP-based ONC/RPC clients wait a given retransmission timeout period before send the ONC/RPC call again.

## Field Details

### EXPONENTIAL

static final int EXPONENTIAL
In exponentional back-off retransmission mode, UDP/IP-based ONC/RPC clients first wait a given retransmission timeout period before sending the ONC/RPC call again. The retransmission timeout then is doubled on each try.

See Also:
  - Constant Field Values

### FIXED

static final int FIXED
In fixed retransmission mode, UDP/IP-based ONC/RPC clients wait a given retransmission timeout period before send the ONC/RPC call again. The retransmission timeout is not changed between consecutive tries but is fixed instead.

See Also:
  - Constant Field Values